Resource

Scheduled Maintenance Template

Manage scheduled maintenance templates for your project

The Scheduled Maintenance Template Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    templateName
    Type
    TextRequired
    Description

    Name of the Scheduled Maintenance Template

  • Name
    templateDescription
    Type
    Long TextRequired
    Description

    Description of the Scheduled Maintenance Template

  • Name
    title
    Type
    TextRequired
    Description

    Title of this scheduled event.

  • Name
    description
    Type
    Markdown
    Description

    Description of this scheduled event that will show up on Status Page. This is a markdown field.

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    monitors
    Type
    Monitor
    Description

    List of monitors attached to this event

  • Name
    statusPages
    Type
    Status Page
    Description

    List of status pages to show this event on

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

  • Name
    changeMonitorStatusTo
    Type
    Scheduled Maintenance State
    Description

    Relation to Monitor Status Object. All monitors connected to this event will be changed to this status when the event is ongoing.

  • Name
    changeMonitorStatusToId
    Type
    Object ID
    Description

    Relation to Monitor Status Object ID. All monitors connected to this incident will be changed to this status when the event is ongoing.

  • Name
    firstEventScheduledAt
    Type
    Date
    Description

    When would you like to schedule the first event?

  • Name
    firstEventStartsAt
    Type
    Date
    Description

    When does the first event start?

  • Name
    firstEventEndsAt
    Type
    Date
    Description

    When does the first event end?

  • Name
    recurringInterval
    Type
    JSON
    Description

    How often should this event recur?

  • Name
    isRecurringEvent
    Type
    Boolean
    Description

    Is this a recurring event?

  • Name
    scheduleNextEventAt
    Type
    Date
    Description

    When is the next event scheduled?

  • Name
    shouldStatusPageSubscribersBeNotifiedOnEventCreated
    Type
    Boolean
    Description

    Should subscribers be notified about this event creation?

  • Name
    shouldStatusPageSubscribersBeNotifiedWhenEventChangedToOngoing
    Type
    Boolean
    Description

    Should subscribers be notified about this event event is changed to ongoing?

  • Name
    shouldStatusPageSubscribersBeNotifiedWhenEventChangedToEnded
    Type
    Boolean
    Description

    Should subscribers be notified about this event event is changed to ended?

  • Name
    customFields
    Type
    JSON
    Description

    Custom Fields on this resource.

  • Name
    sendSubscriberNotificationsOnBeforeTheEvent
    Type
    JSON
    Description

    Should subscribers be notified before the event?

GETorPOST/api/scheduled-maintenance-template/get-list

List

This endpoint allows you to retrieve a paginated list of all your Scheduled Maintenance Template. By default, a maximum of ten Scheduled Maintenance Template are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/scheduled-maintenance-template/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "slug": true,
    "templateDescription": true,
    "templateName": true,
    "title": true
  },
  "query": {
    "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications."
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377a1d30-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "database-upgrade-template",
      "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications.",
      "templateName": "Database Upgrade Template",
      "title": "Scheduled Database Maintenance - PostgreSQL Upgrade"
    },
    {
      "_id": "377a1d31-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "database-upgrade-template",
      "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications.",
      "templateName": "Database Upgrade Template",
      "title": "Scheduled Database Maintenance - PostgreSQL Upgrade"
    },
    {
      "_id": "377a1d32-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "database-upgrade-template",
      "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications.",
      "templateName": "Database Upgrade Template",
      "title": "Scheduled Database Maintenance - PostgreSQL Upgrade"
    }
  ]
}
GETorPOST/api/scheduled-maintenance-template/:id/get-item

Get item by ID

This endpoint allows you to retrieve Scheduled Maintenance Template by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/scheduled-maintenance-template/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "slug": true,
    "templateDescription": true,
    "templateName": true,
    "title": true
  }
}

Response

{
  "_id": "377a1d30-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "database-upgrade-template",
  "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications.",
  "templateName": "Database Upgrade Template",
  "title": "Scheduled Database Maintenance - PostgreSQL Upgrade"
}
POST/api/scheduled-maintenance-template/count

Count

This endpoint allows you to retrieve the count of all your Scheduled Maintenance Template.

Optional Request Body

Count Request

POST
/api/scheduled-maintenance-template/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications."
  }
}

Response

{
  "count": 107
}
POST/api/scheduled-maintenance-template

Create Scheduled Maintenance Template

This endpoint allows you to create a new object.

Create Request

POST
/api/scheduled-maintenance-template
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications.",
    "templateName": "Database Upgrade Template",
    "title": "Scheduled Database Maintenance - PostgreSQL Upgrade",
    "changeMonitorStatusToId": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a"
  }
}

Response

{
  "_id": "377a1d30-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "database-upgrade-template",
  "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications.",
  "templateName": "Database Upgrade Template",
  "title": "Scheduled Database Maintenance - PostgreSQL Upgrade"
}
PUT/api/scheduled-maintenance-template/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/scheduled-maintenance-template/:id/update-item
GET/api/scheduled-maintenance-template/:id/update-item

Update Request

PUT
/api/scheduled-maintenance-template/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "templateDescription": "Use this template for scheduled database upgrades and migrations. Includes pre-maintenance notifications, maintenance window updates, and post-maintenance completion notifications.",
    "templateName": "Database Upgrade Template",
    "title": "Scheduled Database Maintenance - PostgreSQL Upgrade"
  }
}

Response

{}
DELETE/api/scheduled-maintenance-template/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/scheduled-maintenance-template/:id/delete-item
GET/api/scheduled-maintenance-template/:id/delete-item

Delete Request

DELETE
/api/scheduled-maintenance-template/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Scheduled Maintenance Template

  • Project Owner
  • Project Admin
  • Project Member
  • Read Scheduled Maintenance Template
  • Read All Project Resources

Create Permissions

Required to create Scheduled Maintenance Template

  • Project Owner
  • Project Admin
  • Project Member
  • Create Scheduled Maintenance Template

Update Permissions

Required to update Scheduled Maintenance Template

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Scheduled Maintenance Template

Delete Permissions

Required to delete Scheduled Maintenance Template

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Scheduled Maintenance Template